#ifndef MINORI_CORE_FILESYSTEM_H_
#define MINORI_CORE_FILESYSTEM_H_
#include <filesystem>
#include <string>

namespace Filesystem {

void CreateDirectories(const std::filesystem::path &path);
std::filesystem::path GetDotPath();    // %APPDATA%/minori/, ~/Library/Application Support/minori/, ~/.config/minori/...
std::filesystem::path GetConfigPath(); // (dotpath)/config.json
std::filesystem::path GetAnimeDBPath();  // (dotpath)/anime/db.json
std::filesystem::path GetTorrentsPath(); // (dotpath)/torrents/...

} // namespace Filesystem

#endif // MINORI_CORE_FILESYSTEM_H_
